Package com.sun.jna.platform.win32

## Class Winspool.PRINTER_NOTIFY_OPTIONS_TYPE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.PRINTER_NOTIFY_OPTIONS_TYPE

Direct Known Subclasses:
  `Winspool.PRINTER_NOTIFY_OPTIONS_TYPE.ByReference`

Enclosing interface:
  Winspool

    @FieldOrder({"Type","Reserved0","Reserved1","Reserved2","Count","pFields"})
    public static class Winspool.PRINTER_NOTIFY_OPTIONS_TYPE
    extends Structure

The PRINTER_NOTIFY_OPTIONS_TYPE structure specifies the set of printer or job information fields to be monitored by a printer change notification object.

See Also:
  PRINTER_NOTIFY_OPTIONS_TYPE structure

### Nested Class Summary

Nested Classes
`static class` `Winspool.PRINTER_NOTIFY_OPTIONS_TYPE.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `Count` The number of elements in the pFields array.
`Pointer` `pFields` A pointer to an array of values.
`short` `Reserved0` Reserved.
`int` `Reserved1` Reserved.
`int` `Reserved2` Reserved.
`short` `Type` The type to be watched.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`PRINTER_NOTIFY_OPTIONS_TYPE()`

### Method Summary

All Methods Instance Methods Concrete Methods
`short[]` `getFields()`
`void` `setFields​(short[] fields)`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Type

    public short Type

The type to be watched.

#### Reserved0

    public short Reserved0

Reserved.

#### Reserved1

    public int Reserved1

Reserved.

#### Reserved2

    public int Reserved2

Reserved.

#### Count

    public int Count

The number of elements in the pFields array.

#### pFields

    public Pointer pFields

A pointer to an array of values. Each element of the array specifies a job or printer information field of interest.

### Constructor Detail

#### PRINTER_NOTIFY_OPTIONS_TYPE

    public PRINTER_NOTIFY_OPTIONS_TYPE()

### Method Detail

#### setFields

    public void setFields​(short[] fields)

#### getFields

    public short[] getFields()